> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List organisations

> Retrieve organisations with their billing details and child customer IDs.



## OpenAPI

````yaml get /v1/organisations
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/organisations:
    get:
      tags:
        - Organisations
      summary: List organisations
      description: >-
        Retrieve organisations with their billing details and child customer
        IDs.
      operationId: listOrganisations
      parameters:
        - schema:
            type: number
            exclusiveMinimum: 0
            maximum: 100
            default: 50
            description: Maximum number of items to return (1-100).
            example: 50
          required: false
          description: Maximum number of items to return (1-100).
          name: limit
          in: query
        - schema:
            type: string
            description: >-
              Opaque cursor returned in the previous response's `next_cursor`.
              Omit to fetch the first page.
          required: false
          description: >-
            Opaque cursor returned in the previous response's `next_cursor`.
            Omit to fetch the first page.
          name: cursor
          in: query
        - schema:
            anyOf:
              - type: boolean
              - type: string
                enum:
                  - 'true'
                  - 'false'
            default: false
            description: Set to `true` to include `total` in the response.
            example: false
          required: false
          description: Set to `true` to include `total` in the response.
          name: include_total
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: Sort direction.
            example: desc
          required: false
          description: Sort direction.
          name: order
          in: query
        - schema:
            type: string
            enum:
              - created_at
              - updated_at
            description: Field used to sort the results.
          required: false
          description: Field used to sort the results.
          name: sort
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__not
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__isNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__isNotNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__equals
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__lt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__lte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__gt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__gte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__not
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__isNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__isNotNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__equals
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__lt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__lte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__gt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__gte
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPaginatedOrganisation'
        '400':
          description: Invalid cursor, filters, or page exceeds 100,000 child customers.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    CursorPaginatedOrganisation:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Organisation'
          description: List of Organisation.
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor to fetch the next page. `null` when there are no more items.
          example: null
        has_more:
          type: boolean
          description: Whether more items are available after this page.
          example: false
        total:
          type: number
          description: >-
            Total number of items matching the filters. Only present when
            `include_total=true` was passed.
          example: 1
      required:
        - data
        - next_cursor
        - has_more
    Organisation:
      type: object
      properties:
        id:
          type: string
          description: Organisation ID.
          example: cus_0noDeAEU22FgA4
        name:
          type: string
          description: Organisation legal name.
          example: Acme Group
        currency:
          type:
            - string
            - 'null'
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: >-
            Currency code. See [ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes).
          example: EUR
        country:
          type:
            - string
            - 'null'
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BF
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ES-CE
            - ES-ML
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PT-20
            - PT-30
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          description: >-
            Two-letter country code in ISO format. See [ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: FR
        invoice_schedule:
          type:
            - string
            - 'null'
          enum:
            - month
            - quarter
            - year
          description: >-
            Frequency on which the invoices are grouped and emitted from the
            organisation. Only applies to `concat` invoice configuration on
            children customers.
          example: month
        next_invoice_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            Next invoice date where the invoices will be grouped and emitted
            from the organisation. Only applies to `concat` invoice
            configuration on children customers.
          example: '2024-04-01T00:00:00Z'
        child_customer_ids:
          type: array
          items:
            type: string
          description: List of the organization's child customer IDs.
          example:
            - cus_Typ0px2W0aiEtl
        updated_at:
          type: string
          format: date-time
          description: >-
            Last update to the organisation, including changes to its child
            customer relationships.
          example: '2026-09-15T00:00:00Z'
      required:
        - id
        - name
        - currency
        - country
        - invoice_schedule
        - next_invoice_at
        - child_customer_ids
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````